﻿using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;
using SecuritySystemDataModels.Models;

namespace SecuritySystemContracts.BusinessLogicsContracts
{
    public interface IShopLogic
    {
        ShopViewModel? ReadElement(ShopSearchModel model);
        List<ShopViewModel>? ReadList(ShopSearchModel? model);
        bool Create(ShopBindingModel model);
        bool Update(ShopBindingModel model);
        bool Delete(ShopBindingModel model);
        bool SupplySecures(ShopSearchModel model, ISecureModel secure, int count);
    }
}
